import request from '@/utils/request'

// 查询银行卡信息列表
export function listBankcardLend(query) {
  return request({
    url: '/invest/bankcardlend/list',
    method: 'get',
    params: query
  })
}

// 查询银行卡信息详细
export function getBankcardLend(id) {
  return request({
    url: '/invest/bankcardlend/' + id,
    method: 'get'
  })
}

// 新增银行卡信息
export function addBankcardLend(data) {
  return request({
    url: '/invest/bankcardlend',
    method: 'post',
    data
  })
}

// 修改银行卡信息
export function updateBankcardLend(data) {
  return request({
    url: '/invest/bankcardlend',
    method: 'put',
    data
  })
}

// 删除银行卡信息
export function delBankcardLend(id) {
  return request({
    url: '/invest/bankcardlend/' + id,
    method: 'delete'
  })
}
